%global aud_plugin_api %(grep '[ ]*#define[ ]*_AUD_PLUGIN_VERSION[ ]\\+' %{_includedir}/audacious/plugin.h 2>/dev/null | sed 's!.*_AUD_PLUGIN_VERSION[ ]*\\([0-9]\\+\\).*!\\1!')
%if 0%{aud_plugin_api} > 0
%global aud_plugin_dep Requires: audacious(plugin-api)%{?_isa} = %{aud_plugin_api}
%endif

Name:           audacious-plugins-nonfree
Version:        3.3.4
Release:        1%{?dist}
Summary:        Audacious media player plugins with non free dependencies
Group:          Applications/Multimedia
License:        GPLv3
URL:            http://audacious-media-player.org/
Source0:        http://distfiles.audacious-media-player.org/audacious-plugins-%{version}.tar.bz2
BuildRequires:  audacious-devel >= 3.3
BuildRequires:  zlib-devel, libxml2-devel
BuildRequires:  taglib-devel >= 1.4
BuildRequires:  gettext, libbinio-devel
BuildRequires:  dbus-devel >= 0.60, dbus-glib-devel >= 0.60
BuildRequires:  sidplay-libs-devel >= 2.1.1-11
%{?aud_plugin_dep}
# People who have the non free repo enabled and have the audacious sid plugin
# installed likely will want this package's sid plugin which is compiled with
# support for both the free libsidplay v1 and the non free libsidplay v2
Obsoletes:      audacious-plugins-sid <= %{version}
# Note we add a .1 to avoid self obsoletion
Provides:       audacious-plugins-sid = %{version}.1

%description
This package contains plugins for the Audacious media player which have
non free dependencies.


%prep
%setup -q -n audacious-plugins-%{version}
sed -i '\,^.SILENT:,d' buildsys.mk.in


%build
%configure \
        --disable-rpath \
        --enable-chardet \
        --disable-altivec \
        --disable-dependency-tracking
make V=1 %{?_smp_mflags} -C src/sid


%install
make -C src/sid install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%files
%doc COPYING
%{_libdir}/audacious/Input/sid.so


%changelog
* Sat Mar  2 2013 Hans de Goede <j.w.r.degoede@gmail.com> - 3.3.4-1
- Upgrade to 3.3.4
- Drop .desktop files, the mimetypes have moved to the main pkg (rf#2636)

* Sun Sep 23 2012 Hans de Goede <j.w.r.degoede@gmail.com> - 3.3.2-1
- Upgrade to 3.3.2

* Mon Jun 25 2012 Hans de Goede <j.w.r.degoede@gmail.com> - 3.3-0.2.alpha1
- Drop sidplay version 1 support, as it has been orphaned in Fedora

* Sun Jun 24 2012 Hans de Goede <j.w.r.degoede@gmail.com> - 3.3-0.1.alpha1
- Upgrade to 3.3-alpha1

* Thu Mar 08 2012 Nicolas Chauvet <kwizart@gmail.com> - 3.0.4-3
- Rebuilt for c++ ABI breakage

* Thu Feb 09 2012 Nicolas Chauvet <kwizart@gmail.com> - 3.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Nov  3 2011 Hans de Goede <j.w.r.degoede@gmail.com> 3.0.4-1
- Upgrade to 3.0.4

* Wed Sep  7 2011 Hans de Goede <j.w.r.degoede@gmail.com> 3.0.2-1
- Initial rpmfusion package
